# Uses of Interface
org.eclipse.core.commands.contexts.IContextListener

Packages that use IContextListener
Package
Description
org.eclipse.core.commands.contexts
Application programming interfaces for contexts.

## Uses of IContextListener in org.eclipse.core.commands.contexts

Classes in org.eclipse.core.commands.contexts that implement IContextListener
Modifier and Type
Class
Description
`final class`
`ContextManager`
A context manager tracks the sets of defined and enabled contexts within the application.
Methods in org.eclipse.core.commands.contexts with parameters of type IContextListener
Modifier and Type
Method
Description
`final void`
Context.`addContextListener(IContextListener listener)`
Registers an instance of `IContextListener` to listen for changes to properties of this instance.
`final void`
Context.`removeContextListener(IContextListener contextListener)`
Unregisters an instance of `IContextListener` listening for changes to properties of this instance.